org.jboss.resteasy.spi

## Interface ConstructorInjector

- All Known Implementing Classes:
    CdiConstructorInjector, ConstructorInjectorImpl

      public interface ConstructorInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `construct()` construct outside the scope of an HTTP request.
    `Object` | `construct(HttpRequest request, HttpResponse response)` construct inside the scope of an HTTP request.
    `Object[]` | `injectableArguments()` Create an arguments list from injectable tings outside the scope of an HTTP request.
    `Object[]` | `injectableArguments(HttpRequest request, HttpResponse response)` Create an argument list inside the scope of an HTTP request.

- - ### Method Detail

    - #### construct

          Object construct()

      construct outside the scope of an HTTP request. Useful for singleton factories
      Returns:

    - #### construct

          Object construct(HttpRequest request,
                         HttpResponse response)
                           throws Failure,
                                  WebApplicationException,
                                  ApplicationException

      construct inside the scope of an HTTP request.
      Parameters:
        `request` -
        `response` -
      Returns:
      Throws:
        `Failure`
        `WebApplicationException`
        `ApplicationException`

    - #### injectableArguments

          Object[] injectableArguments()

      Create an arguments list from injectable tings outside the scope of an HTTP request. Useful for singleton factories in cases where the resource factory wants to allocate the object itself, but wants resteasy to populate the arguments
      Returns:

    - #### injectableArguments

          Object[] injectableArguments(HttpRequest request,
                                     HttpResponse response)
                                       throws Failure

      Create an argument list inside the scope of an HTTP request. Useful in cases where the resource factory wants to allocate the object itself, but wants resteasy to populate the arguments
      Parameters:
        `request` -
        `response` -
      Returns:
      Throws:
        `Failure`

Copyright © 2014. All Rights Reserved.